#ifndef VEKTOR_HEADER
#define VEKTOR_HEADER

typedef int V_BaseType;
#include <fstream>


class Vektor{
public: 
   Vektor(int dim);
   Vektor(const Vektor& v2);
   ~Vektor();
   Vektor& operator=(const Vektor& v2);

   void Init(V_BaseType wert);
   void Plus(const Vektor& v2, Vektor& erg);
   void Print() const;
   int GetDim() const {return dimension;}
   V_BaseType GetDatum(int index) const {return daten[index];}
   void Resize(int dim);
   void ResizeCopy(int dim);

   // Hier eine Implementierung fr den Minus-Operator als
   // Methode, wohl wissend, dass man den Minus-Operator
   // besser wie Plus unten als globale Funktion implementiert.
   Vektor operator-(const Vektor& v2);

   Vektor& operator++();   // Pre-Increment
   Vektor operator++(int); // Post-Increment


private:
   V_BaseType* daten;
   int dimension;

   friend Vektor operator+(const Vektor& v1, const Vektor& v2);
   friend std::ostream& operator<<(std::ostream& str, const Vektor& v);
};



#endif
